Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.util
Class FileUtils.FileComparator

    java.lang.Object
      org.apache.cassandra.io.util.FileUtils.FileComparator

All Implemented Interfaces:
  java.util.Comparator<java.io.File>

Enclosing class:
  FileUtils

    public static class FileUtils.FileComparator

extends java.lang.Object
implements java.util.Comparator<java.io.File>

Constructor Summary
`FileUtils.FileComparator()`

Method Summary
`int` | `compare(java.io.File f, java.io.File f2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### FileUtils.FileComparator

    public FileUtils.FileComparator()

Method Detail

### compare

    public int compare(java.io.File f,
                       java.io.File f2)

  Specified by:
    `compare` in interface `java.util.Comparator<java.io.File>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation